Workbench 0.8.25 parsing arrays of doubles


#1

In Workbench 0.8.25 the following type:

  GeoPoint:
    type: number[]
    example: [100.0, 0.0]

shows the validation error: “number is expected” on the example line. This was working in 0.8.23. I note that if I change the contents of the array to ints, the error goes away.

I also have a similar error on another type: “array is expected” even though the value is actually an array. This was also working before.


#2

Can you raise that inside the parser repository on Github? With that, you make sure the developers so your problems and can give you advises.


#3

Ok, I’m assuming it uses raml-js-parser-2? Here is the issue: https://github.com/raml-org/raml-js-parser-2/issues/134


#4

Perfect, thanks!


#5

Another issue related to queryParameters and example/default: https://github.com/raml-org/raml-js-parser-2/issues/135